import React from "react";
import PropTypes from "prop-types";
import GenericPageWithIcon from "./GenericPageWithIcon";
import { Alert } from "grommet-icons";

function Warning(props) {
	return (
		<GenericPageWithIcon
			title={props.data.title}
			description={props.data.description}
			icon={<Alert color="status-critical" size="xlarge" />}
			close={props.close}
		/>);
}

Warning.propTypes = {
	data: PropTypes.object,
	close: PropTypes.func
};

Warning.pluginName = "Warning";

export default Warning;
