import { createSlice } from "@reduxjs/toolkit";

export const voiceSlice = createSlice({
	name: "voice",
	initialState: {
		recording: false,
		text: null
	},
	reducers: {
		setRecording: (state, action) => ({...state, recording: action.payload}),
		setText: (state, action) => ({...state, text: action.payload}),
	}
});

export const { setRecording, setText } = voiceSlice.actions;
export const selectVoice = state => state.voice;
export default voiceSlice.reducer;
